/*  ==========================================================================
    // Notify
    //
    // Provide contextual feedback messages for typical user actions with the handful of available and flexible alert messages.
    //
    // .notify--warning - warning
    // .notify--error - error
    // .notify--success - success
    // .notify--bar - bar
    // .notify--inline - inline
    //
    // Markup: notify.html
    //
    // Style guide: Modules.Notify
    //
    ========================================================================== */


    .notify
    {
        position: fixed;
        left: calc(50% - 170px);
        top: $notify-top;
        z-index: 9999;

        width: $notify-width;
        padding: $notify-padding;

        border: $notify-border;
        border-radius: $notify-border-radius;
        background-color: $notify-background-color;

        &.notify--warning,
        &.notify--error,
        &.notify--success
        {
            padding: $notify-special-padding;
        }
    }

    .notify--warning
    {
        border: $notify-warning-border;

        &:before
        {
            position: absolute;
            right: 0;
            top: 0;
            bottom: 0;

            width: $notify-special-box-width;
            padding: $notify-special-box-padding;

            content: "";
            background-color: $notify-warning-background-color;
            border-top-right-radius: $notify-border-radius;
            border-bottom-right-radius: $notify-border-radius;
        }

        &:after
        {
            position: absolute;
            right: $notify-warning-icon-right;
            top: 50%;
            bottom: 0;

            height: 25px;

            content: $notify-warning-icon-content;
            font-family: zoomsquare;
            vertical-align: middle;
            transform: translateY(-50%);
        }
    }

    .notify--error
    {
        border: $notify-error-border;

        &:before
        {
            position: absolute;
            right: 0;
            top: 0;
            bottom: 0;

            width: $notify-special-box-width;
            padding: $notify-special-box-padding;

            content: '';
            background-color: $notify-error-background-color;
            border-top-right-radius: $notify-border-radius;
            border-bottom-right-radius: $notify-border-radius;
        }

        &:after
        {
            position: absolute;
            right: $notify-error-icon-right;
            top: 50%;
            bottom: 0;

            height: 25px;

            content: $notify-error-icon-content;
            font-family: zoomsquare;
            vertical-align: middle;
            transform: translateY(-50%);
        }
    }

    .notify--success
    {
        border: $notify-success-border;

        &:before
        {
            position: absolute;
            right: 0;
            top: 0;
            bottom: 0;

            content: "";
            width: $notify-special-box-width;
            padding: $notify-special-box-padding;

            background-color: $notify-success-background-color;
            border-top-right-radius: $notify-border-radius;
            border-bottom-right-radius: $notify-border-radius;
        }

        &:after
        {
            position: absolute;
            right: $notify-success-icon-right;
            top: 50%;
            bottom: 0;

            height: 25px;

            content: $notify-success-icon-content;
            font-family: zoomsquare;
            vertical-align: middle;
            transform: translateY(-50%);
        }
    }

    .notify--bar
    {
        position: static;
        top: 0;
        left: 0;
        right: 0;

        width: 100%;

        text-align: center;
        box-shadow: $notify-bar-box-shadow;
        border-radius: 0;

        a
        {
            text-decoration: underline;
        }
        
        &:before,
        &:after
        {
            content: '';
        }

        &:before
        {
            width: 0;
            padding: 0;
        }

        &.notify--warning,
        &.notify--error,
        &.notify--success
        {
            padding: $notify-bar-padding;
        }

        &.notify--warning
        {
            background-color: $notify-bar-warning-background-color;
            color: $notify-bar-warning-color;

            a
            {
                color: $notify-bar-warning-color;
            }
        }

        &.notify--error
        {
            background-color: $notify-bar-error-background-color;
            color: $notify-bar-error-color;

            a
            {
                color: $notify-bar-error-color;
            }
        }

        &.notify--success
        {
            background-color: $notify-bar-success-background-color;
            color: $notify-bar-success-color;

            a
            {
                color: $notify-bar-success-color;
            }
        }
    }

    .notify--inline
    {
        padding: $single-space / 2 $r-gutter / 2;

        border-radius: $border-radius;

        &:before,
        &:after
        {
            position: static;

            padding: 0;
            content: '';
        }

        &.notify--warning
        {
            background-color: $notify-inline-warning-background-color;
            color: $notify-inline-warning-color;
        }

        &.notify--success
        {
            background-color: $notify-inline-success-background-color;
            color: $notify-inline-success-color;
        }

        &.notify--error
        {
            background-color: $notify-inline-error-background-color;
            color: $notify-inline-error-color;
        }
    }